Index: gnus-cus.el
===================================================================
RCS file: /home/hardaker/src/cvsroot/pgnus/gnus-cus.el,v
retrieving revision 1.1.1.7
retrieving revision 1.8
diff -c -r1.1.1.7 -r1.8
*** gnus-cus.el	1999/06/08 20:11:27	1.1.1.7
--- gnus-cus.el	1999/06/08 20:15:10	1.8
***************
*** 150,160 ****
--- 150,164 ----
      (display (choice :tag "Display"
  		     :value default
  		     (const all)
+ 		     (const not-expired)
  		     (const default)) "\
  Which articles to display on entering the group.
  
  `all'
       Display all articles, both read and unread.
+ 
+ `not-expired'
+      All articles except those marked as expirable.
  
  `default'
       Display the default visible articles, which normally includes
Index: gnus-sum.el
===================================================================
RCS file: /home/hardaker/src/cvsroot/pgnus/gnus-sum.el,v
retrieving revision 1.1.1.15
retrieving revision 1.13
diff -c -r1.1.1.15 -r1.13
*** gnus-sum.el	1999/06/08 20:11:31	1.1.1.15
--- gnus-sum.el	1999/06/09 18:25:45	1.13
***************
*** 4119,4136 ****
  
  (defun gnus-articles-to-read (group &optional read-all)
    ;; Find out what articles the user wants to read.
!   (let* ((articles
  	  ;; Select all articles if `read-all' is non-nil, or if there
  	  ;; are no unread articles.
! 	  (if (or read-all
! 		  (and (zerop (length gnus-newsgroup-marked))
! 		       (zerop (length gnus-newsgroup-unreads)))
! 		  (eq (gnus-group-find-parameter group 'display)
! 		      'all))
! 	      (gnus-uncompress-range (gnus-active group))
  	    (sort (append gnus-newsgroup-dormant gnus-newsgroup-marked
  			  (copy-sequence gnus-newsgroup-unreads))
! 		  '<)))
  	 (scored-list (gnus-killed-articles gnus-newsgroup-killed articles))
  	 (scored (length scored-list))
  	 (number (length articles))
--- 4119,4170 ----
  
  (defun gnus-articles-to-read (group &optional read-all)
    ;; Find out what articles the user wants to read.
!   (let* ((display (gnus-group-find-parameter group 'display))
! 	 tmparticles artmark
! 	 (articles
  	  ;; Select all articles if `read-all' is non-nil, or if there
  	  ;; are no unread articles.
!  	  (cond 
!  	   ((or read-all
! 		(and (zerop (length gnus-newsgroup-marked))
! 		     (zerop (length gnus-newsgroup-unreads)))
! 		(eq display 'all))
!  	    (gnus-uncompress-range (gnus-active group)))
! 	   ((stringp display)
! 	    (message gnus-newsgroup-headers)
! 	    (setq tmparticles (gnus-uncompress-range (gnus-active group)))
!  	    (setq articles nil)
! 	    (if (string-equal (substring display 0 1) "-")
! 		(progn
! 		  (setq display (substring display 1))
! 		  (while (not (null tmparticles))
! 		    (setq artmark 
! 			  (char-to-string 
! 			   (gnus-article-mark (car tmparticles))))
! 		    (if (or (not artmark)
! 			    (not (string-match artmark display)))
! 			(setq articles 
! 			      (append (list (car tmparticles)) articles)))
! 		    (setq tmparticles (cdr tmparticles))))
! 	      (while (not (null tmparticles))
! 		(setq artmark 
! 		      (char-to-string (gnus-article-mark (car tmparticles))))
! 		(if (and artmark (string-match artmark display))
! 		    (setq articles
! 			  (append (list (car tmparticles)) articles)))
! 		(setq tmparticles (cdr tmparticles))))
! 	    articles)
!  	   ((eq display 'not-expired)
!  	    (setq articles (gnus-uncompress-range (gnus-active group)))
!  	    (setq tmparticles gnus-newsgroup-expirable)
!  	    (while (not (null tmparticles))
! 	      (setq articles (delq (car tmparticles) articles))
! 	      (setq tmparticles (cdr tmparticles)))
!  	    articles)
!  	   (t
  	    (sort (append gnus-newsgroup-dormant gnus-newsgroup-marked
  			  (copy-sequence gnus-newsgroup-unreads))
! 		  '<))))
  	 (scored-list (gnus-killed-articles gnus-newsgroup-killed articles))
  	 (scored (length scored-list))
  	 (number (length articles))
